<div class="approve-control-container">
  <mat-slide-toggle
    color="primary"
    [disabled]="!freeze"
    [checked]="freeze?.value"
    (change)="freezeChanged.emit($event.checked)">
    {{freeze?.value ? '&nbsp;Approved' : '&nbsp;Approval required'}}
  </mat-slide-toggle>
  <button
    mat-icon-button
    color="primary"
    (click)="showInfo.emit()">
    <mat-icon class="info-icon">info</mat-icon>
  </button>
</div>
